Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1152656 - IE8: Layout is broken on RHEVM welcome page and User Portal login page
Summary: IE8: Layout is broken on RHEVM welcome page and User Portal login page
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-userportal
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 3.5.0
Assignee: Greg Sheremeta
QA Contact: Pavel Novotny
URL:
Whiteboard: ux
Depends On:
Blocks: rhev35betablocker rhev35rcblocker rhev35gablocker
TreeView+ depends on / blocked
 
Reported: 2014-10-14 15:45 UTC by Pavel Novotny
Modified: 2015-05-18 14:53 UTC (History)
8 users (show)

Fixed In Version: rhevm-userportal-3.5.0-0.19.beta.el6ev.noarch
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-16 13:35:22 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)
screens: broken layout in IE8 on welcome page and UP login page (deleted)
2014-10-14 15:45 UTC, Pavel Novotny
no flags Details
screens: IE8 - fixed welcome page and UserPortal login screen (deleted)
2014-11-10 13:42 UTC, Pavel Novotny
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1222584 None None None Never
oVirt gerrit 34524 master MERGED userportal, webadmin, branding: fix PatternFly impl for IE8 Never
oVirt gerrit 34567 ovirt-engine-3.5 MERGED userportal, webadmin, branding: fix PatternFly impl for IE8 Never

Internal Links: 1222584

Description Pavel Novotny 2014-10-14 15:45:36 UTC
Created attachment 946963 [details]
screens: broken layout in IE8 on welcome page and UP login page

Description of problem:
In Internet Explorer 8 is broken page layout on RHEVM welcome page (/ovirt-engine/) and on User Portal login page.

Version-Release number of selected component (if applicable):
rhevm-3.5.0-0.14.beta.el6ev.noarch (vt5).
IE8 @ Windows XP & 7

How reproducible:
100%

Steps to Reproduce:
1. Go to RHEVM welcome page (at /ovirt-engine/).
2. Go to User Portal login page.


Actual results:
See attached screenshots from IE8:
1. ie8-welcomepage.png
2. ie8-userportal-login.png

Expected results:
See attached screenshots from IE10:
1. ie10-welcomepage.png
2. ie10-userportal-login.png

Additional info:
Regression against 3.4, where page layouts look the same in IE8 and newer IEs.

Comment 2 Einav Cohen 2014-11-06 17:34:07 UTC
not sure why this one hasn't moved to ON_QA automatically...

Comment 3 Pavel Novotny 2014-11-10 13:41:06 UTC
Verified in rhevm-3.5.0-0.19.beta.el6ev.noarch (vt9).

The welcome page and User Portal login screen look ok now, see attached screenhots.

Comment 4 Pavel Novotny 2014-11-10 13:42:08 UTC
Created attachment 955816 [details]
screens: IE8 - fixed welcome page and UserPortal login screen


Note You need to log in before you can comment on or make changes to this bug.